﻿using System;
using PREPTOOLLib;

namespace lnr
{
    class Lnr
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDFLinearizer tool = new PDFLinearizer();

            //入力ファイルを開く
            if (tool.OpenInput("input.pdf", null) != ErrorType.pdSuccess)
            {
                Console.WriteLine("入力ファイルを開けませんでした");
                Environment.Exit(1);
            }

            //出力ファイルを暗号化する (option)
            tool.SetSecurity("test", "test", "pcsa5");

            //リニアライズして格納する
            //（入力ファイルはこのときに閉じられる）
            tool.SaveFile("output.pdf");
        }
    }
}
