﻿using System;
using PREPTOOLLib;

namespace enc
{
    class Enc
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            PDoc doc = new PDoc();

            //出力ファイルを作成、入力ファイルを開く
            if (!doc.New("out.pdf", 0, 0))
            {
                Console.WriteLine("'output.pdf'を作成できません");
                Environment.Exit(1);
            }
            if (!doc.InputOpen("input.pdf"))
            {
                Console.WriteLine("'input.pdf'を開けません");
                Environment.Exit(2);
            }

            //セキュリティを設定する
            /*
            p: do not print the document from Acrobat
            c: changing the document is denied in Acrobat
            s: selection and copying of text and graphics is denied
            a: adding or changing annotations or form fields is denied
            5: enforce 128 bit encryption
            以下は、１２８ビット暗号化で利用できます。（PDF1.4, Acrobat5.0以上）
            i: disable editing of form fields
            e: disable extraction of text and graphics
            d: disable document assembly
            q: disable high quality printing
             */
            doc.SetSecurity("test", "test", "pcsa5");

            //すべてをコピーして文書を閉じる
            doc.InputCopyAll();
            doc.Close();
        }
    }
}
